#
# Copyright (C) 2011 Red Hat, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA  02110-1301, USA.  A copy of the GNU General Public License is
# also available at http://www.gnu.org/copyleft/gpl.html.

require 'spec_helper'

describe CatalogEntry do
  it "should have a name of reasonable length" do
    catalog_entry = FactoryGirl.create :catalog_entry
    [nil, '', 'x'*1025].each do |invalid_name|
      catalog_entry.name = invalid_name
      catalog_entry.should_not be_valid
    end
    catalog_entry.name = 'x'*1024
    catalog_entry.should be_valid
  end

  it "should have unique name" do
    catalog_entry = FactoryGirl.create :catalog_entry
    catalog_entry2 = Factory.build(:catalog_entry, :name => catalog_entry.name)
    catalog_entry2.should_not be_valid

    catalog_entry2.name = 'unique name'
    catalog_entry2.should be_valid
  end

  it "should have a url" do
    catalog_entry = FactoryGirl.create :catalog_entry
    catalog_entry.url = ''
    catalog_entry.should_not be_valid
  end

end
